document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_14300
--- +++ @@ -2,7 +2,7 @@ # Load rbebv, if you are using it export PATH="$HOME/.rbenv/bin:$PATH" -eval "$(rbenv init -)" +[[ `which rbenv` ]] && eval "$(rbenv init -)" # Load the auto-completion script if rbenv was loaded. -source ~/.rbenv/completions/rbenv.bash +[[ -e ~/.rbenv/completions/rbenv.bash ]] && sourc...
bash
d_bash_14301
--- +++ @@ -16,4 +16,4 @@ alias xcb='xcodebuild' alias xcp='xcode-select --print-path' -alias simulator='open $(xcode-select -p)/Platforms/iPhoneSimulator.platform/Developer/Applications/iPhone\ Simulator.app' +alias simulator='open $(xcode-select -p)/Applications/iOS\ Simulator.app'
bash
d_bash_14302
--- +++ @@ -7,3 +7,7 @@ echo "package.path = package.path..\";${XAUXI_HOME}/lib/?.lua;${LUALOGGER_HOME}/src/?.lua;./?.lua\"" > test/config.lua echo "XAUXI_HOME = \"${XAUXI_HOME}\"" >> test/config.lua printf " ok\n" +mkdir -p server/proxy/logs +mkdir -p server/proxy/run +mkdir -p server/content/logs +mkdir -p serve...
bash
d_bash_14303
--- +++ @@ -11,21 +11,19 @@ pushd "${TMP_DIR}" -git clone git@github.com:detroit-labs/AmazeKit -cd AmazeKit/ -git fetch --all -git checkout gh-pages +git clone git@github.com:AmazeKit/amazekit.github.com +cd amazekit.github.com/ popd -rsync -HhavP --delete --exclude=".git/" docs/html/ "${TMP_DIR}/AmazeKit/"...
bash
d_bash_14304
--- +++ @@ -1,14 +1,21 @@ #!/bin/bash -type -t gconftool-2 >/dev/null 2>&1 || return; ################################################################################ # Enable window resize with mouse right click # for 12.04 -gconftool-2 -s -t bool /apps/metacity/general/resize_with_right_button true -# and for...
bash
d_bash_14305
--- +++ @@ -1,9 +1,12 @@ #!/bin/bash -if [ ! -f /config/initialized.flag ] ; then + +set -e + +if [ ! -f initialized.flag ] ; then if [ "$SAMPLE" = "true" ] ; then cp -R /upload/* /dbs/ fi; - touch /config/initialized.flag + touch initialized.flag fi; /db-derby-10.12.1.1-bin/bin/NetworkServerControl star...
bash
d_bash_14306
--- +++ @@ -8,6 +8,7 @@ rm -rf node_modules meteor npm install meteor npm test +exit_code=$?; if [ ${exit_code} -gt 0 ]; then exit ${exit_code}; fi cd ../../examples/angularcli-meteor npm install npm run meteor-client:bundle @@ -15,3 +16,4 @@ export CHROME_BIN=chromium-browser npm run test concurrently "npm ...
bash
d_bash_14307
--- +++ @@ -14,7 +14,7 @@ echo push to Heroku #git push web dist:master --force -git push https://git.heroku.com/sftoolsunittestworker.git dist:master --force +git push worker dist:master --force git checkout master
bash
d_bash_14308
--- +++ @@ -9,7 +9,9 @@ alias ls='ls --color=auto' # Output the octal permissions for a file or directory -alias octmod='stat -c %a' +alias octmod='stat -c "%a"' +# Output the owner/group for a file or directory +alias owners='stat -c "%U %G"' # Colorize grep matches (but not for piped output) alias grep='gre...
bash
d_bash_14309
--- +++ @@ -1,8 +1,14 @@ #!/bin/bash -x + +sudo fuser -m `pwd`/build # Only attempt to unmount if the directory is already mounted if mountpoint -q `pwd`/build; then - sudo umount build + sudo umount `pwd`/build fi +sudo fuser -m `pwd`/build + +ps -ef + exit 0
bash
d_bash_14310
--- +++ @@ -15,7 +15,7 @@ ( cd cf-release - if [ -z "${CF_RELEASE_BRANCH}" ]; then + if [ -n "${CF_RELEASE_BRANCH}" ]; then git checkout -f ${CF_RELEASE_BRANCH} fi
bash
d_bash_14311
--- +++ @@ -6,5 +6,5 @@ eval "$(nodenv init -)" -export PATH=node_modules/.bin:$PATH +export PATH=./node_modules/.bin:$PATH
bash
d_bash_14312
--- +++ @@ -1,3 +1,4 @@ #!/bin/sh -mysql -u root -e "DROP USER 'test'@'localhost'; FLUSH PRIVILEGES; CREATE USER 'test'@'localhost'; GRANT ALL PRIVILEGES ON *.* TO 'test'@'localhost' WITH GRANT OPTION;" +mysql -u root -e "DROP USER 'test'@'localhost';" || true +mysql -u root -e "FLUSH PRIVILEGES; CREATE USER 'test...
bash
d_bash_14313
--- +++ @@ -15,7 +15,7 @@ git init echo -e "Generating Jazzy output \n" - bundle exec jazzy --output ./ --clean --podspec $TRAVIS_BUILD_DIR/BNRCoreDataStack.podspec --module "CoreDataStack" --config $TRAVIS_BUILD_DIR/.jazzy.yml + bundle exec jazzy --output $TRAVIS_BUILD_DIR/gh-pages --clean --podspe...
bash
d_bash_14314
--- +++ @@ -8,8 +8,13 @@ # Listen for incomming connection if [ ! -e /dev/rfcomm0 ]; then - sudo rfcomm listen /dev/rfcomm0 22 > /dev/null & + sudo rfcomm watch /dev/rfcomm0 22 > /dev/null & + RFCOMM_PID=$! fi # Launch emultor ./server.py + +if [ ! -n ${RFCOMM_PID} ]; then + sudo kill ${RFCOMM_PID} +fi
bash
d_bash_14315
--- +++ @@ -24,3 +24,10 @@ //tensorflow_lite_support/metadata/cc:metadata_extractor \ //tensorflow_lite_support/custom_ops/kernel:all \ //tensorflow_lite_support/custom_ops/python:tflite_text_api + +# Build Task libraries. +bazel build -c opt --config=monolithic \ + --config=android_arm64 --fat_apk_...
bash
d_bash_14316
--- +++ @@ -10,7 +10,7 @@ git \ mingw-w64-$MSYS2_ARCH-gcc \ mingw-w64-$MSYS2_ARCH-gtk3 \ - mingw-w64-$MSYS2_ARCH-pkgconfig \ + mingw-w64-$MSYS2_ARCH-pkg-config \ mingw-w64-$MSYS2_ARCH-cairo \ mingw-w64-$MSYS2_ARCH-python3 \ mingw-w64-$MSYS2_ARCH-python3-gobject \
bash
d_bash_14317
--- +++ @@ -1,3 +1,16 @@ if command -v pyenv &> /dev/null; then eval "$(pyenv init -)" fi + +pipenv() { + if command -v pipenv &> /dev/null; then + if [[ -e Pipfile ]]; then + command pipenv "$@" + else + echo "No Pipfile present, aborting." >&2 + return 1 + fi + else + command pipen...
bash
d_bash_14318
--- +++ @@ -23,3 +23,13 @@ EndSection EOS + +cat > /etc/cron.weekly/fstrim << EOS +#! /bin/sh +for mount in /; do + fstrim $mount +done +EOS + +# TODO: Add ,discard to /etc/crypttab +# TODO: change issue_discards = 0 to 1 in /etc/lvm/lvm.conf
bash
d_bash_14319
--- +++ @@ -6,7 +6,7 @@ while [ 1 ]; do date echo "PREV_APP_PID: $PREV_APP_PID" - APP_PID=`pgrep -fl "node" | grep -P "\---(app|sockapi)$" + APP_PID=`ps -ax -o pid,user,command | grep "/app.js ---sockapi$"` echo "APP_PID: $APP_PID"; if [ -n "$APP_PID" ]; then if [ -z "$PREV_APP_PID...
bash
d_bash_14320
--- +++ @@ -1,7 +1,7 @@ if [ ! -f "$PKI_DIR/issued/$OVPN_SERVER_CN.crt" ] || [ "$REGENERATE_CERTS" == 'true' ]; then echo "easyrsa: creating server certs" - dd if=/dev/urandom of=/etc/openvpn/pki/.rnd bs=256 count=1 + sed -i 's/^RANDFILE/#RANDFILE/g' /opt/easyrsa/openssl-1.0.cnf EASYCMD="/opt/easyrsa/easyrsa -...
bash
d_bash_14321
--- +++ @@ -4,26 +4,34 @@ exit 1 fi -if [ ! -d ../codemoo/ ] ; then +TGT=../codemoo + +if [ ! -d $TGT/ ] ; then echo 'No web target directory' exit 1 fi -rsync --exclude '*.DS_Store' --exclude '*.git' -av web/ ../codemoo -mv ../codemoo/index.html ../codemoo/index2.html -perl -p -i -e "s/WebT...
bash
d_bash_14322
--- +++ @@ -22,3 +22,4 @@ mingw-w64-x86_64-python-gobject \ mingw-w64-x86_64-python-cairo \ mingw-w64-x86_64-python-pip \ + mingw-w64-x86_64-python-setuptools \
bash
d_bash_14323
--- +++ @@ -35,3 +35,7 @@ # Reload QuickLook daemon, so new plugins will work. qlmanage -r + +# Enable text selection in QuickLook views. +defaults write com.apple.finder QLEnableTextSelection -bool TRUE +killall Finder
bash
d_bash_14324
--- +++ @@ -35,7 +35,7 @@ } function package { - rm -f ltepi-${VERSION}.tgz + rm -f ltepi-*.tgz # http://unix.stackexchange.com/a/9865 COPYFILE_DISABLE=1 tar --exclude="./.*" -zcf ltepi-${VERSION}.tgz * }
bash
d_bash_14325
--- +++ @@ -28,5 +28,5 @@ # update /etc/ansible sudo /usr/local/bin/update_ansible_config.sh # run ansible - su - {{ ansible_username }} -c "generate_ansible_command.py {{ '--compat' if not compat_disable else '' }} --old $OLDREV --new $NEWREV --git $(pwd)" + sudo -u {{ ansibl...
bash
d_bash_14326
--- +++ @@ -9,7 +9,7 @@ TAG_NAME=$(git describe --abbrev=0) PREVIOUS_TAG_NAME=$(git describe --abbrev=0 --tags "$TAG_NAME^") LAST_DRAFT_ID=$(curl "https://$GH_TOKEN:x-oauth-basic@api.github.com/repos/shockone/black-screen/releases" | python -c "import json,sys; array=json.load(sys.stdin); print array[0]['id'];") -...
bash
d_bash_14327
--- +++ @@ -22,3 +22,7 @@ if [ -d "$HOME/src/go/bin" ] ; then PATH="$HOME/src/go/bin:$PATH" fi + +if [ -d "$HOME/.node_modules_global/bin" ] ; then + PATH="$HOME/.node_modules_global/bin:$PATH" +fi
bash
d_bash_14328
--- +++ @@ -16,6 +16,6 @@ manpath=($HOME/Library/Haskell/man(/N) $manpath) else path=($HOME/.cabal/bin(/N) $path) - manpath=($HOME/.cabal/man(/N) $path) + manpath=($HOME/.cabal/man(/N) $manpath) fi
bash
d_bash_14329
--- +++ @@ -4,7 +4,7 @@ NAME="syndicate-UG" VERSION="0.$(date +%Y\%m\%d\%H\%M\%S)" -DEPS="libssl1.0.0 libcurl3-gnutls libprotobuf7 libsyndicate fuse libboost-system1.48.0 libboost-thread1.48.0" +DEPS="libssl1.0.0 libcurl3-gnutls libprotobuf7 libsyndicate fuse libboost-system1.48.0 libboost-thread1.48.0 python-sy...
bash
d_bash_14330
--- +++ @@ -2,23 +2,23 @@ set -e -rm -rf lib +BRANCH_NAME='latest' -BRANCH_NAME='latest' +grunt build +rm -rf node_modules npm version patch git checkout ${BRANCH_NAME} git merge master -grunt build +rm -rf node_modules +npm install --production git add -f lib/ -libs=$(cat package.json | jq -r '.depend...
bash
d_bash_14331
--- +++ @@ -5,6 +5,7 @@ find . -name "*.py" -exec chmod -x {} \; chmod +x add_initial_entities.py chmod +x scheduler.py +chmod +x run_task.py chmod +x task_train_system.py chmod +x task_run_system.py chmod +x task_benchmark_result.py
bash
d_bash_14332
--- +++ @@ -4,4 +4,4 @@ export EC2_PRIVATE_KEY=`ls $HOME/.ec2/pk-*.pem` export EC2_CERT=`ls $HOME/.ec2/cert-*.pem` # AWS command line tools require Java -export JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home/ +export JAVA_HOME=`/usr/libexec/java_home`
bash
d_bash_14333
--- +++ @@ -1,2 +1,6 @@ #!/bin/sh +if [ ! -x databases/ ]; then + mkdir databases +fi; + bin/python pyfibot/pyfibot.py config.yml
bash
d_bash_14334
--- +++ @@ -12,4 +12,4 @@ (cd "$script_dir/../.."; python3 setup.py install --root="$tmpdir") -dpkg-deb --build "$tmpdir" "fbmessenger-$version.deb" +fakeroot dpkg-deb --build "$tmpdir" "fbmessenger-$version.deb"
bash
d_bash_14335
--- +++ @@ -5,15 +5,10 @@ FAUCETHOME=`dirname $0`"/../.." PYTHONPATH=$FAUCETHOME:$FAUCETHOME/faucet:$FAUCETHOME/clib PARARGS="parallel --delay 1 --bar" - PYTYPE=`which pytype` -PYHEADER=`head -1 $PYTYPE` - -PYTYPEARGS="python$PYV $PYTYPE --pythonpath $PYTHONPATH -d pyi-error,import-error -V$PYV" +PYTYPEARGS="pyth...
bash
d_bash_14336
--- +++ @@ -25,7 +25,7 @@ exec sudo "$0" "$@" fi -subscription-manager register --username $1 --password $2 +subscription-manager register --username $1 --password $2 --name $3 --auto-attach --force subscription-manager attach subscription-manager repos --enable rhel-server-rhscl-6-rpms subscription-manager ...
bash
d_bash_14337
--- +++ @@ -4,7 +4,7 @@ docker build -t gcr.io/$DEVSHELL_PROJECT_ID/pubsub_pipeline gcp-black-friday-analytics/k8s-twitter-to-pubsub # Save the image on Google Container Registry -gcloud docker push gcr.io/$DEVSHELL_PROJECT_ID/pubsub_pipeline +gcloud docker -- push gcr.io/$DEVSHELL_PROJECT_ID/pubsub_pipeline #...
bash
d_bash_14338
--- +++ @@ -1,2 +1,2 @@ #!/bin/bash -./gocodetest $(find ~/go/pkg/linux_386/ -name "*.a" | xargs) +./gocodetest $(find ${GOROOT}/pkg/${GOOS}_${GOARCH}/ -name "*.a" | xargs)
bash
d_bash_14339
--- +++ @@ -1,7 +1,11 @@ #!/bin/bash +realpath() { + [[ $1 = /* ]] && echo "$1" || echo "$PWD/${1#./}" +} + PREVDIR=$(pwd) -SCRIPT=$(readlink -f $0) +SCRIPT=$(realpath $0) ROOT=`dirname $SCRIPT` cd $ROOT/IXWebSocket
bash
d_bash_14340
--- +++ @@ -3,13 +3,8 @@ echo 'Install OCI CLI' readonly IMAGE_NAME='shakiyam/oci-cli' -if [[ $(command -v docker) ]]; then - sudo docker pull $IMAGE_NAME -elif [[ $(command -v podman) ]]; then - podman pull $IMAGE_NAME -else - echo -e "\033[36mdocker or podman not found\033[0m"; exit 1; -fi +[[ $(command -v d...
bash
d_bash_14341
--- +++ @@ -1,17 +1,22 @@ #!/bin/sh exec xrandr \ - --output HDMI1 \ - --off \ --output VIRTUAL1 \ - --off \ - --output DP1 \ --off \ --output eDP1 \ --mode 1920x1080 \ - --pos 0x704 \ + --pos 0x536 \ --rotate normal \ + --output DP1 \ + --off \ --output DP2 \ - --primary \ + --off + --output ...
bash
d_bash_14342
--- +++ @@ -22,6 +22,9 @@ fuser -k -n tcp 9160 # Run migration of project directory structure for codeworld-server. +mkdir -p data/codeworld/projects +mkdir -p data/haskell/projects +mkdir -p data/blocklyXML/projects run . codeworld-server-migrate mkdir -p log
bash
d_bash_14343
--- +++ @@ -2,6 +2,6 @@ alias aws-get-t2='export instanceId=`aws ec2 describe-instances --filters "Name=instance-state-name,Values=stopped,Name=instance-type,Values=t2.large" --query "Reservations[0].Instances[0].InstanceId"` && echo $instanceId' alias aws-start='aws ec2 start-instances --instance-ids $instanceId &...
bash
d_bash_14344
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/bin/bash -xe ## these will be added by Vagrant and the nightly refresh job # sudo apt-get -y install mercurial @@ -10,11 +10,8 @@ #sed -i "s/mozversion ==[^']*/mozversion == 1.4/" setup.py cd $PWD/mozilla-central/testing/tps -./create_venv.py $HOME/tps-env +./create_ve...
bash
d_bash_14345
--- +++ @@ -13,7 +13,7 @@ # Copy python modules mkdir /io/pymodules -cp -R bin/*.so /io/pymodules +cp -R lib/*.so /io/pymodules # Copy python lib folder, and trim mkdir -p /io/dist/share/renderdoc/pylibs/lib
bash
d_bash_14346
--- +++ @@ -1,4 +1,6 @@ -#!/bin/bash +#!/bin/bash -x + +env | sort # List installed versions of external systems dpkg -l marathon mesos zookeeper | grep '^ii'
bash
d_bash_14347
--- +++ @@ -18,6 +18,15 @@ ERRORED=true fi +# Is the legislator's formatted name correct? +OUTPUT="$(curl --silent http://localhost:5001/1.1/legislator/rbbell.json | jq '.name_formatted')" +EXPECTED='"Del. Rob Bell (R-Charlottesville)"'; +if [ "$OUTPUT" != "$EXPECTED" ] +then + echo "ERROR: Legislator's fo...
bash
d_bash_14348
--- +++ @@ -5,13 +5,8 @@ #to disable interactive user interaction like prompts in terminal (an default value is always chosen) export DEEP_NO_INTERACTION=1 -echo "copying file" - #copy deeploy.json from deeploy.example.json cp ${__SRC_PATH}"deeploy.example.json" ${__SRC_PATH}"deeploy.json" - -echo "Current path...
bash
d_bash_14349
--- +++ @@ -29,8 +29,10 @@ python-dev \ python-flask \ python-gevent \ + python-gevent-websocket \ python-gflags \ python-h5py \ + python-matplotlib \ python-mock \ python-nose \ python-numpy \
bash
d_bash_14350
--- +++ @@ -4,7 +4,7 @@ set -ex apt-get update -apt-get install -y texinfo texi2html +apt-get install -y texinfo texi2html xz-utils GRTE_PREFIX=$1 GRTE_TMPDIR=$2
bash
d_bash_14351
--- +++ @@ -13,17 +13,14 @@ # Change directory to the same level as this script cd `dirname "${0}"` - # Remove current user.js -rm -f *"${USERJSEXT}" - +rm -f *${USERJSEXT} # Copy userscripts from Firefox's user profile directory find "${FXPROFILE}" -type f -iname "*${USERJSEXT}" -ipath "*/*_scripts/*" -exec...
bash
d_bash_14352
--- +++ @@ -5,22 +5,44 @@ set -eu -echo "Installing Go in $GOROOT" -if [ -d "$GOROOT" ]; then - cd "$GOROOT" - git fetch --all +if true; then + # Installing from sources. + echo "Installing Go in $GOROOT" + if [ -d "$GOROOT" ]; then + cd "$GOROOT" + git fetch --all + else + git clone https://go.go...
bash
d_bash_14353
--- +++ @@ -11,7 +11,9 @@ # Does the index show uncommitted changes? git diff-index --exit-code HEAD > /dev/null || \ v="$v"-dirty -else +elif [ -n "$RPM_PACKAGE_VERSION" ] && [ -n "$RPM_PACKAGE_RELEASE" ]; then + v="v$RPM_PACKAGE_VERSION-$RPM_PACKAGE_RELEASE" +else # XXX: Equivalent for .deb packages? v="$v...
bash
d_bash_14354
--- +++ @@ -24,8 +24,8 @@ for x in ${LIST}; do if ! gcloud compute --project=${PROJECT} target-pools get-health "${x}" --region=${REGION} 2>/dev/null >/dev/null; then echo DELETING "${x}" - gcloud compute --project=kubernetes-jenkins forwarding-rules delete "${x}" --region=us-central1 -q - gcloud compute --pr...
bash
d_bash_14355
--- +++ @@ -17,7 +17,7 @@ cp .circleci/build.sbt $JAR_BUILD_DIR cd $JAR_BUILD_DIR -if [ -n "$CIRCLE_TAG" ] || [ "$CIRCLE_BRANCH" == "master" -o "$CIRCLE_BRANCH" == "develop" -o "$CIRCLE_BRANCH" == "nrt" ]; then +if [ -n "$CIRCLE_TAG" ] || [ "$CIRCLE_BRANCH" == "master" -o "$CIRCLE_BRANCH" == "develop" ]; then i...
bash
d_bash_14356
--- +++ @@ -15,3 +15,6 @@ # Add host keys to `known_hosts` mkdir -p ~/.ssh/ ssh-keyscan head >> ~/.ssh/known_hosts + +# Add ANSIBLE_CONFIG to environment +echo "export ANSIBLE_CONFIG='/usr/local/share/Kive/dev-env/ansible.cfg'" >> /home/vagrant/.bashrc
bash
d_bash_14357
--- +++ @@ -7,25 +7,25 @@ _output_ps1() { # Output color variables - local color_blue='\[\e[1;34m\]' + local color_green='\[\e[1;32m\]' local color_white='\[\e[1;37m\]' local color_reset='\[\e[0m\]' # Output name of current working dir (with ~ denoting HOME) - echo -n "${color_blue}\W${color_white} : " +...
bash
d_bash_14358
--- +++ @@ -3,15 +3,15 @@ PYENV_SHIMS="$PYENV_ROOT/shims" if hash pyenv &>/dev/null; then - EXECUTABLE="$(which pyenv)" + PYENV_EXEC="$(which pyenv)" elif [[ -d "$PYENV_BIN" ]]; then export PATH="$PYENV_BIN:$PATH" - EXECUTABLE="$PYENV_BIN/pyenv" + PYENV_EXEC="$PYENV_BIN/pyenv" fi -if [[ -x "$...
bash
d_bash_14359
--- +++ @@ -5,13 +5,12 @@ export WORKON_HOME=$HOME/.virtualenvs export PROJECT_HOME=$HOME/Projects export PIP_VIRTUALENV_BASE=$WORKON_HOME -export PIP_REQUIRE_VIRTUALENV=true +export PIP_REQUIRE_VIRTUALENV=false export PIP_RESPECT_VIRTUALENV=true export VIRTUALENV_USE_DISTRIBUTE=True export VIRTUALENVWRAPPER_VI...
bash
d_bash_14360
--- +++ @@ -1,17 +1,40 @@ #!/usr/bin/env bash + +html="make -C docs html" +linkcheck=$(make -C docs linkcheck | grep 'broken') +grammar="write-good `find ./docs -not \( -path ./docs/drafts -prune \) -name '*.rst'` --passive --so --no-illusion --thereIs --cliches" + +if [[ $TRAVIS != "" ]]; then + OUTPUT=$TRAVIS_BU...
bash
d_bash_14361
--- +++ @@ -2,15 +2,7 @@ # the docker-storage-setup initial overrides -STORAGE_DRIVER=devicemapper DEVS=/dev/sdb VG=dockervg -DATA_SIZE=40%FREE -MIN_DATA_SIZE=2G -CHUNK_SIZE=512K -GROWPART=false -AUTO_EXTEND_POOL=yes -POOL_AUTOEXTEND_THRESHOLD=60 -POOL_AUTOEXTEND_PERCENT=20 [ -e docker-storage-setup-env.loc...
bash
d_bash_14362
--- +++ @@ -6,3 +6,8 @@ # AWS CLI autocomplete: complete -C aws_completer aws + + # Bash completion + if [ -f $(brew --prefix)/etc/bash_completion ]; then + . $(brew --prefix)/etc/bash_completion + fi
bash
d_bash_14363
--- +++ @@ -2,10 +2,11 @@ # make sure we have the network tools in place for various network specs if [ -f /etc/debian_version ]; then - apt-get update -y && apt-get install -y net-tools iproute2 - touch /etc/network/interfaces + apt-get update -y && apt-get install -y net-tools iproute2 + mkdir -p /etc/network...
bash
d_bash_14364
--- +++ @@ -1,5 +1,5 @@ if [[ "$POSTGIS" == "2.0" ]]; then - sudo apt-add-repository ppa:ubuntugis/ubuntugis-unstable + echo "yes" | sudo apt-add-repository ppa:ubuntugis/ubuntugis-unstable fi sudo apt-get update
bash
d_bash_14365
--- +++ @@ -13,4 +13,5 @@ fi else echo "ERROR! Variable RESTHEART_VERSION is undefined"; + exit 1; fi
bash
d_bash_14366
--- +++ @@ -17,5 +17,5 @@ # finish_rootfs_build() { - : + copy_gcc_libs }
bash
d_bash_14367
--- +++ @@ -1,2 +1,10 @@ #!/bin/sh +if hash brew 2>/dev/null; then + echo "Homebrew Installed" +else + echo "Homebrew Not Installed\nDownloading..." + ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" +fi + brew install augeas +brew install dialog
bash
d_bash_14368
--- +++ @@ -1,4 +1,10 @@ #!/bin/bash + +if [[ -z "$1" ]]; then + p=1 +else + p=$1 +fi run() { number=$1 @@ -21,13 +27,13 @@ vagrant reload controller >> log/controller.log echo "$(date) brining up all VMs" -run 2 up --no-provision +run $p up --no-provision echo "$(date) provisioning all other VM...
bash
d_bash_14369
--- +++ @@ -11,7 +11,7 @@ if [[ $(StringValidator isNull ${branch}) ]]; then AppServerVersionConstants tomcatVersion - elif [[ $(StringValidator isSubstring ${branch} ee-6.2.x) ]]; then + elif [[ $(StringValidator isSubstring ${branch} ee-6.2) ]]; then echo 7.0.62 elif [[ $(StringValidator isSubstri...
bash
d_bash_14370
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash +set -e if [[ -z "$APP_SERVICE_URL" ]]; then echo "You must set the APP_SERVICE_URL environment variable to point to the normal dev server http://addr:port combination" @@ -19,6 +20,7 @@ PG_CONTAINER=`docker ps | grep _postgres_ | awk '{ print $1; }'` $FIG run app python3...
bash
d_bash_14371
--- +++ @@ -11,6 +11,8 @@ /usr/bin/supervisord -c /supervisord.conf +cd /tty.js && node ./tty-me.js --daemonize + while [ 1 ]; do /bin/bash done
bash
d_bash_14372
--- +++ @@ -27,7 +27,7 @@ EXIT_STATUS=1 } -gem install bundle +gem install bundler --version 1.17.3 (bundle update && bundle exec rake) || set_failed_status
bash
d_bash_14373
--- +++ @@ -23,6 +23,6 @@ END_OF_SOURCE -&>2 ghc "$1/$2" "$1/$2.2.hs" -o "$1/$3" +>&2 ghc "$1/$2" "$1/$2.2.hs" -o "$1/$3" rm "$1/$2.2.hs" chmod +x "$1/$3"
bash
d_bash_14374
--- +++ @@ -6,7 +6,7 @@ { local ver=$1 local output="../.build/linux_$ver" - local cflags="-std=c++11 -stdlib=libc++ -c -m$ver" + local cflags="-std=c++11 -stdlib=c++ -c -m$ver" rm -Rf $output mkdir -p $output
bash
d_bash_14375
--- +++ @@ -7,3 +7,6 @@ # View HTTP traffic alias httpdump="sudo tcpdump -i en1 -n -s 0 -w - | grep -a -o -E \"Host\: .*|GET \/.*\"" + +# News Dev ssh shortcut +alias snd="ssh nd@newsdev"
bash
d_bash_14376
--- +++ @@ -13,7 +13,7 @@ echo "deploy: build via 'npm run build'" npm run build echo "deploy: run 'deploy-to-ghpages.sh'" - ./deploy-to-ghpages.sh + ./scripts/deploy-to-ghpages.sh else echo "deploy: nothing to deploy. (only deploying master branch)" fi
bash
d_bash_14377
--- +++ @@ -16,7 +16,7 @@ go get -v -d -t $PKG/... -go list -f '{{if gt (len .TestGoFiles) 0}}"go test -race -covermode count -coverprofile {{.Name}}.coverprofile -coverpkg $PKGS {{.ImportPath}}"{{end}}' $PKG/... | xargs -I {} bash -c {} +go list -f '{{if gt (len .TestGoFiles) 0}}"go test -race -covermode atomic...
bash
d_bash_14378
--- +++ @@ -8,14 +8,18 @@ ./build-toxcore-in-chroot.sh $ARCH done -# Create libs directory +# Create libs and include directories SCRIPT_DIR=$(dirname $(readlink -f "$0")) BUILD_DIR=$SCRIPT_DIR/build LIBS_DIR=$BUILD_DIR/libs +INCLUDE_DIR=$BUILD_DIR/include/tox rm -rf $LIBS_DIR mkdir -p $LIBS_DIR + +rm ...
bash
d_bash_14379
--- +++ @@ -9,7 +9,7 @@ pkg_shasum=61b373c23d18e6cc752a69d5ab7f676c6216dc2853e46750a8c4ed791d68482c pkg_bin_dirs=(bin) pkg_build_deps=(core/make core/gcc) -pkg_deps=(starkandwayne/shield-agent core/libarchive core/glibc) +pkg_deps=(starkandwayne/shield-agent core/redis core/jq-static core/libarchive core/glibc) p...
bash
d_bash_14380
--- +++ @@ -14,6 +14,14 @@ local URL="https://www.lua.org" local PARTIAL=$(wget -q -O- $URL/download.html | grep -iPzo 'HREF="\K(.+?)(?=">source<)') local NAME=$(basename $PARTIAL .tar.gz) + + if [[ -f "$PREFIX/bin/lua" ]]; then + local +x CURRENT="$($0 get-version "$PREFIX/bin")" + if [[ "$NAME" == "...
bash
d_bash_14381
--- +++ @@ -25,4 +25,9 @@ && git stash pop \ && git add data \ && git commit -m "Update Class API data - $(date +'%m/%d')" \ - && git push origin-ssh master + && git push origin-ssh master || exit 1 + +cd ${APP_ROOT} \ + && git checkout gh-pages \ + && git merge master \ + && git push origin-ssh gh-page...
bash
d_bash_14382
--- +++ @@ -23,6 +23,8 @@ if [[ ! -d PeachPy ]]; then git clone https://github.com/Maratyszcza/PeachPy.git +fi +if ! pip list --format=legacy | grep -q PeachPy; then ( cd PeachPy pip install --upgrade -r requirements.txt
bash
d_bash_14383
--- +++ @@ -30,7 +30,7 @@ echo "// This file is automatically generated" > ${temp_filepath} echo "#define $full4 1" >> ${temp_filepath} -if [ -a ${header_path} ] +if [ -a "${header_path}" ] then DIFF=$(diff ${temp_filepath} ${header_path}) if [ "$DIFF" != "" ]
bash
d_bash_14384
--- +++ @@ -1,3 +1,3 @@ -export PATH="./bin:$HOME/.rbenv/shims:/usr/local/bin:/usr/local/sbin:$HOME/.sfs:$ZSH/bin:$PATH" +export PATH="./bin:$HOME/.rbenv/shims:/usr/local/bin:/usr/local/sbin:$HOME/.sfs:$ZSH/bin:$HOME/.composer/vendor/bin:$PATH" export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man...
bash
d_bash_14385
--- +++ @@ -6,10 +6,11 @@ export LC_ALL=C.UTF-8 -export PACKAGES="clang llvm python3 libssl1.0-dev libevent-dev bsdmainutils libboost-system-dev libboost-filesystem-dev libboost-chrono-dev libboost-test-dev libboost-thread-dev" +export PACKAGES="clang-8 llvm-8 python3 libssl1.0-dev libevent-dev bsdmainutils libb...
bash
d_bash_14386
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash -cd `dirname $0`/.. +cd "$(dirname "$0")/.." echo $PWD if [ -z "$SONATYPE_USERNAME" ]
bash
d_bash_14387
--- +++ @@ -29,7 +29,7 @@ for f in write1 write2 write4 write8; do check $f rsp 1 check $f push 2 - check $f pop 2 + check $f pop 12 done for f in read1 read2 read4 read8; do
bash
d_bash_14388
--- +++ @@ -1,5 +1,6 @@ #!/bin/sh +JAVA_HOME=/usr/bin/java dir=/nfs/acari/ensembl/ensj-healthcheck cp=$dir
bash
d_bash_14389
--- +++ @@ -1,4 +1,6 @@ -#!/bin/sh +#!/bin/bash + +cd "$(dirname $(readlink -f $BASH_SOURCE))" for n in sch_fifo_qsize sch_pi2 sch_pie_qsize; do ( echo
bash
d_bash_14390
--- +++ @@ -18,6 +18,8 @@ python manage.py loaddata test_provider_allocations.json python manage.py loaddata test_auth_clients.json python manage.py loaddata test_rotas.json + python manage.py loaddata kb_from_knowledgebase.json + fi }
bash
d_bash_14391
--- +++ @@ -13,10 +13,10 @@ returnBranch(){ case $@ in + *ee-6.2.x*) echo ee-6.2.x;; + *ee-7.0.x*) echo ee-7.0.x;; *master*) echo master;; *7.0.x*) echo 7.0.x;; - *ee-6.2.x*) echo ee-6.2.x;; - *ee-7.0.x*) echo ee-7.0.x;; ...
bash
d_bash_14392
--- +++ @@ -19,6 +19,9 @@ # Run make make +# Revoke privileges +sudo -K + # Install dotfiles make -C .. @@ -27,6 +30,3 @@ # Run vim for the first time (i.e. install plugins and exit) nvim - -# Revoke privileges -sudo -K
bash
d_bash_14393
--- +++ @@ -14,4 +14,4 @@ # Create `test` environment conda create -n test python=$TRAVIS_PYTHON_VERSION export PATH=$HOME/miniconda/envs/test/bin:$PATH -pip install pytest pytest-cov python-coveralls +pip install nose pytest pytest-cov python-coveralls
bash
d_bash_14394
--- +++ @@ -6,5 +6,7 @@ mkdir -p /vagrant/substrate-assets chmod 755 /vagrant/substrate/run.sh +brew update + export PATH=$PATH:/usr/local/bin:/usr/local/go/bin /vagrant/substrate/run.sh /vagrant/substrate-assets
bash
d_bash_14395
--- +++ @@ -14,9 +14,9 @@ dst=./acpi_ca_destination # files to remove -stripdirs="compiler generate" -stripfiles="osunixxf.c 16bit.h Makefile a16find.c a16utils.asm a16utils.obj\ - acintel.h aclinux.h acmsvc.h acwin.h acwin64.h getopt.c" +stripdirs="common compiler generate" +stripfiles="osunixxf.c Makefile ad...
bash
d_bash_14396
--- +++ @@ -8,6 +8,12 @@ if pcall(dofile, "/etc/openwrt_release") and _G.DISTRIB_DESCRIPTION then distname = "" distversion = _G.DISTRIB_DESCRIPTION + if _G.DISTRIB_REVISION then + distrevision = _G.DISTRIB_REVISION + if not distversion:find(distrevision) then + distversion = distversion .. " " .. distrev...
bash
d_bash_14397
--- +++ @@ -31,3 +31,14 @@ fi fi } + +# Usage: mv $1 to $1_backup +function backup_file() { + if [ $# != 1 ]; then + echo "Usage: backup_file pat_to_file" + fi + + if [[ -e $1 ]]; then + mv $1 $1"_backup" + fi +}
bash
d_bash_14398
--- +++ @@ -1,6 +1,8 @@ #!/usr/bin/env bash set -e + +rm -f $(find emsdk_portable -name CMakeCache.txt) EMSCRIPTEN_DOWNLOAD_URL='https://s3.amazonaws.com/mozilla-games/emscripten/releases/emsdk-portable.tar.gz' EMSDK_PATH="./emsdk_portable/emsdk"
bash
d_bash_14399
--- +++ @@ -9,6 +9,7 @@ alias gcma='git commit --amend' alias gpl='git pull --rebase' alias gps='git push' +alias gpsf='git push --force-with-lease' alias gpst='git push --tags' alias gsth='git stash' alias gstp='git stash pop'
bash